#ifndef _user

#define _user


// Macros



#include "stdlib.h"

extern char * __ClassNames[];


// Includes

#include <array.h>


typedef struct user{

	char * username;

	int id;

	int userlevel;

	char * hash;

	struct array * addresses;


} user;

void user_constructor( user * this );

user user_new(  );

user * user_newPointer(  );

#endif


typedef struct user user;



